Summary:   A server-side, HTML-embedded scripting language
Name:      mod_php3
Version:   3.0.7
Release:   1
Group:     Networking/Daemons
Copyright: GPL
Url:       http://www.php.net
Source0:   ftp://ftp.php.net/pub/distributions/php-%{version}.tar.gz
Source1:   ftp://ftp.php.net/pub/distributions/manual.tar.gz
Source2:   ftp://ftp.php.net/pub/distributions/manual.pdf
Requires:  apache >= 1.3.4
BuildRoot: /var/tmp/%{name}-root

%description
PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
language. Much of its syntax is borrowed from C, Java and Perl with a
couple of unique PHP-specific features thrown in. The goal of the
language is to allow web developers to write dynamically generated
pages quickly.


%prep
%setup -q -n php-%{version}


%build
# Adding --with-imagick=/usr would be nice but /usr/include/magick/memory.h
# conflicts with /usr/include/memory.h.
CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure \
	--prefix=/usr --with-config-file-path=/etc/httpd \
	--with-apxs=/usr/sbin/apxs --disable-debug \
	--with-zlib \
	--with-dbase --with-filepro \
	--enable-magic-quotes --enable-track-vars
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/\
{usr/lib/apache,etc/httpd,home/httpd/{icons,htdocs/php3}}

install -m755 -s libphp3.so $RPM_BUILD_ROOT/usr/lib/apache/mod_php3.so
install -m644 php3.ini-dist $RPM_BUILD_ROOT/etc/httpd/php3.ini
install -m644 extra/icons/*.gif $RPM_BUILD_ROOT/home/httpd/icons
(
  cd $RPM_BUILD_ROOT/home/httpd/htdocs/php3
  tar zxf %{SOURCE1}
  ln -s manual.html index.html
)
install -m644 -p %{SOURCE2} .


%post
cat >> /etc/httpd/httpd.conf << EOF
LoadModule php3_module    lib/apache/mod_php3.so
AddModule mod_php3.c
AddType application/x-httpd-php3 .php3 .html
AddType application/x-httpd-php2 .phtml
AddType application/x-httpd-php3-source .php3s .phps
AddIcon /icons/php3.gif .php3
AddIcon /icons/php2.gif .phtml
AddIcon /icons/phps.gif .php3s .phps
EOF
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart
fi


%postun
if [ $1 = 0 ]; then
	# clean up the things added to /etc/httpd/httpd.conf above.
	egrep -v "^[^#].*php" /etc/httpd/httpd.conf > /tmp/httpd.conf
	mv -f /tmp/httpd.conf /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart
fi


%files
%defattr(-,root,root)
%doc BUGS CHANGES CODING_STANDARDS COPYING CREDITS ChangeLog EXTENSION_STATUS 
%doc FUNCTION_LIST.txt INSTALL INSTALL.DSO LICENSE TODO WISHLIST*
%doc examples manual.pdf
%config /etc/httpd/php3.ini
/home/httpd/icons/*
/home/httpd/htdocs/php3
/usr/lib/apache/mod_php3.so


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Mar  3 1999 Hao Li <hli@wag.caltech.edu>
- mod_php3-3.07-1. First RPM.
- Note the line below in %post section:
	AddType application/x-httpd-php3 .php3 .html
  This means all .html files are also processed by this module so we don't
  need to explicitly name a file foo.php3.

